%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  elasdics
%global packver   1.1.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.3
Release:          1%{?dist}%{?buildtag}
Summary:          Elastic Analysis of Sparse, Dense and Irregular Curves

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-splines 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-numDeriv 
Requires:         R-splines 
Requires:         R-stats 
Requires:         R-CRAN-numDeriv 

%description
Provides functions to align curves and to compute mean curves based on the
elastic distance defined in the square-root-velocity framework. For more
details on this framework see Srivastava and Klassen (2016,
<doi:10.1007/978-1-4939-4020-2>). For more theoretical details on our
methods and algorithms see Steyer et al. (2023, <doi:10.1111/biom.13706>)
and Steyer et al. (2023, <arXiv:2305.02075>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
